Summary:	Curses-based 3270 Emulator
Name:		c3270
Version: 3.3.6
Release: 	%mkrel 1
License:	GPL
Group:		Terminals
URL:		http://www.geocities.com/SiliconValley/Peaks/7814/
Source0:	c3270-%{version}.tgz
Requires:	x3270 <= %{version}
Requires:	readline
BuildRequires:	XFree86-devel
BuildRequires:	ncurses-devel
BuildRequires:	readline-devel
BuildRequires:	libtermcap-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Complete IBM 3278/3279 emulation, TN3270E support, structured
fields, color xterm emulation, highly configurable

%prep

%setup -q -n %{name}-3.3

# fix strange perms
find . -type d -perm 0700 -exec chmod 755 {} \;
find . -type f -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0444 -exec chmod 644 {} \;

%build

%configure2_5x \
    --without-pr3287 

%make %{name}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_mandir}/man1
install -m755 %{name} %{buildroot}%{_bindir}/
install -m644 %{name}.man %{buildroot}%{_mandir}/man1/%{name}.1

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc html/Bugs.html html/Build.html html/FAQ.html html/Intro.html
%doc html/Lineage.html html/New.html html/README.html 
%doc html/Wishlist.html html/c3270-man.html README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}*


%changelog
* Wed Jun 27 2007 Funda Wang <fundawang@mandriva.org> 3.3.6-1mdv2008.0
+ Revision: 44857
- New version
- Import c3270



* Tue Aug 01 2006 Lenny Cartier <lenny@mandriva.com> 3.3.2p2-4mdv2007.0
- rebuild

* Wed Nov 30 2005 Oden Eriksson <oeriksson@mandriva.com> 3.3.2p2-3mdk
- rebuilt against openssl-0.9.8a

* Fri Feb  4 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 3.3.2p2-2mdk
- rebuilt against new readline

* Thu Jul 22 2004 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 3.3.2p2-1mdk
- new version

* Tue Jun 08 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 3.3.2p1-1mdk
- new version
- fix strange perms
- fix deps

* Fri Jul 11 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.2.20-1mdk
- 3.2.20
- use the %%configure2_5x macro

* Mon Jan 27 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.2.19-3mdk
- build release
- misc spec file fixes

* Wed Jul 24 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.2.19-2mdk
- rebuild for new readline

* Thu May 16 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.2.19-1mdk
- new version
- misc spec file fixes
- rebuilt with latest system compiler (gcc3.1)

* Tue Jan  1 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.2.18-1mdk
- new version

* Mon Sep 24 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.2.17-1mdk
- added in contribs by Oden Eriksson <oden.eriksson@kvikkjokk.net> :
	- initial cooker contrib
